#
# spec file for "tomcat-taglibs-standard-1_2_5"
#
# Copyright (c) 2017 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           tomcat-taglibs-standard-1_2_5
Version:        1.2.5
Release:        2.38.uyuni3
License:        Apache-2.0
Summary:        An implementation of the JSP Standard Tag Library (JSTL)
Url:            http://tomcat.apache.org/taglibs.html
Group:          Development/Libraries/Java
Source0:        taglibs-standard-1.2.5-source-release.zip
Source1:        build.sh
Patch0:         tomcat-taglibs-standard-1_2_5-jdk9.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires: xmvn-tools
BuildRequires: xmvn-minimal
BuildRequires:  xz
BuildRequires:  unzip
BuildRequires:  java-devel
BuildArch:      noarch
Provides:       tomcat-taglibs-standard = %{version}-%{release}
Provides:       mvn(org.apache.taglibs:taglibs-standard-spec) == 1.2.5
Provides:       mvn(org.apache.taglibs:taglibs-standard-impl) == 1.2.5
Provides:       mvn(org.apache.taglibs:taglibs-standard-compat) == 1.2.5
Provides:       mvn(org.apache.taglibs:taglibs-standard-jstlel) == 1.2.5
Requires:       java

%description
Apache Taglibs provides open source implementations of Tag Libraries for use
with Java Server Pages (JSPs). In particular, it contains the Apache Standard
Taglib, an open source implementation of the Java Standard Tag Library (JSTL)
specification.

%prep
%setup -q -c -n src
%patch0 -p1
cp -f %{SOURCE1} .

%build
cd ..
sh src/build.sh

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
%if 0%{?rhel}
%define folder /tomcat-taglibs-standard
%else
%define folder %{nil}
%endif
mkdir -p %{buildroot}%{_javadir}%{folder}
cp -a taglibs-standard-1.2.5/compat/target/taglibs-standard-compat-1.2.5.jar %{buildroot}%{_javadir}%{folder}/taglibs-standard-compat-1.2.5.jar
cp -a taglibs-standard-1.2.5/impl/target/taglibs-standard-impl-1.2.5.jar %{buildroot}%{_javadir}%{folder}/taglibs-standard-impl-1.2.5.jar
cp -a taglibs-standard-1.2.5/jstlel/target/taglibs-standard-jstlel-1.2.5.jar %{buildroot}%{_javadir}%{folder}/taglibs-standard-jstlel-1.2.5.jar
cp -a taglibs-standard-1.2.5/spec/target/taglibs-standard-spec-1.2.5.jar %{buildroot}%{_javadir}%{folder}/taglibs-standard-spec-1.2.5.jar
(cd %{buildroot}%{_javadir}%{folder} && for jar in taglibs-standard-*.jar; do ln -sf %{_javadir}%{folder}/${jar} %{buildroot}%{_javadir}/`echo $jar| sed "s|-%{version}||g"`; done)

%files
%defattr(-,root,root)
%{_javadir}/*

%changelog
* Mon Dec 14 2020 Stefan Bluhm <stefan.bluhm@clacee.eu>
- Updated for RHEL folder naming convention.
* Tue Oct 31 2017 jgonzalez@suse.com
- Fix build with java9
- Add:
  * tomcat-taglibs-standard-1_2_5-jdk9.patch
* Mon Jun 19 2017 moio@suse.com
- Sources updated to 1.2.5 (fixes bsc#1044804). Upstream detail follows:
  * Changes in 1.2.5:
  - Set version identifiers correctly, no other changes.
  * Changes in 1.2.4:
  - 57673 AccessControlException accessing org.apache.taglibs.standard.xml.accessExternalEntity
  - 37466 Reverted changes that overrode HTTP method when importing local resources.
  * Changes in 1.2.3:
  - 57560 Check protocol when resolving on older JREs
  - 57549 Fix reference to old SNAPSHOT version of taglibs-build-tools in pom files.
  - 57548 Update library version number printed by Version class
  - 57547 Fix regression with running on older JREs
  - XML tags now enable FEATURE_SECURE_PROCESSING when parsing and transforming.
  * Changes in 1.2.2:
  - 57433 Double-check locking in ExpressionEvaluatorManager
  - 57427 1.0 TLDs are missing from -compat jar
  - 57289 XML factories should be located using the JSTL library's ClassLoader
  * Changes in 1.2.1:
  - Documentation cleanup
  * Changes in 1.2.0:
  - Transitioned project from Apache Jakarta to Apache Tomcat
  - Implementation of new functionality for JSTL 1.2; requires Java 1.5
  - Switched to Maven-based build
  - Renamed JARs and modified packaging structure; OSGI metadata added
  - XML processing performance improved by direct use of Xalan
  - 55608 fmt:bundle tag unnecessarily buffers body content
  - 54544 Loop vars are not reset for fortoken with deferred expression
  - 52637 Broken link
  - 50674 Some maven pom improvments
  - 50462 xalan import should not be optional in maven-bundle-plugin
  - 50461 out tag's escapeXml attribute should be set as true by default
  - 50414 tlv package cause another split package issue in impl and jstlel bundles
  - 50266 Javadoc and import corrections
  - 50265 FormatDateSupport.dateFormatCache lazy init is not safe
  - 50264 Missing @Override annotations
  - 50263 README_src.txt out of date
  - 50250 Split package issue in impl and jstlel bundles
  - 50064 bundle-ify the taglibs jars
  - 49900 BundleSupport.release() does not call super.release() to clear bodyContent
  - 49578 XPath handling only supports single reference to variable
  - 49565 Findbugs: Util.specialCharactersRepresentation should be both final and package protected
  - 49561 Remove proprietary URLEncoder
  - 49554 Clean up Functions
  - 49548 Refactoring SetSupport
  - 49547 Minor performance enhancement in set result evaluation
  - 49546 Add test cases for SetSupport
  - 49542 IteratedValueExpression and IndexedValueExpression implementation
  - 49534 ForEachSupport handles unsupported items inconsistently
  - 49526 c:set does not remove variables from ELContext VariableMapper
  - 49510 Remove dependency on classes copied from commons
  - 48848 fn:endsWith fails with repeated search string
  - 48773 DataSourceWrapper and DriverManager problems
  - 48772 Bad information in impl module pom.xml
  - 46086 javax.servlet.jsp.jstl.sql.ResultSupport.java silently swallows SQLException
  - 45197 Need to support the JSTL 1.2 specification
  - 45183 Starting from mysql JDBC connector 5.1.6 a wrong behavior
  - 43831 Unexpected Result with mysql jdbc 5.1.5, column aliases not reported
  - 43640 Move the tests package to JUnit
  - 43544 LRUCache implementation not updated to match latest collections code
  - 43393 x:out provokes an IllegalStateException if session is forbidden
  - 41343 Build fails on OS X.
  - 41221 Fix source headers in source
  - 39480 calling getContextClassLoader without doPriv
  - 39195 getRequestLocale could throw exception on JBOSS
  - 39284 fn:endsWith('abcda', 'a') returns false
  - 37466 c:import doesn't work with HEAD requests
  - 37029 TLD Validation error for HTML "param" element
  - 35216 x:forEach causes session scope exception
  - 34109 <c:url> doesn't merge slashes at the boundary of "context" and "value"
  - 33934 [standard] memory leak in jstl c:set tag
  - 32896 Invalid endsWith function
  - 30068 Wrong behaviour of x:out inside x:forEach
  - 27717 <x:forEach> very slow in JSTL 1.1
  - 17388 Result set created in query tag is never released + update tag
* Tue Oct  6 2015 tchvatal@suse.com
- Update URL to link to live domain
- Fix bnc#920813 CVE-2015-0254, patch taken from debian:
  * CVE-2015-0254.patch
* Fri Jul 11 2014 tchvatal@suse.com
- Cleanup bit with spec-cleaner.
* Wed Jun 13 2012 mvyskocil@suse.cz
- fix build with java7
- use non-versioned javadocdir
* Tue Aug  5 2008 mvyskocil@suse.cz
- fixed build using openjdk6 (add java6 API and remove enums)
- use bzip2 in source tarball
- use macro name in patches
- use source=1.5 and target=1.5
* Sun Sep 17 2006 ro@suse.de
- fix build with java-1.5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jul 28 2005 jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 jsmeix@suse.de
- Current version 1.1.1 from JPackage.org
* Thu Sep 16 2004 skh@suse.de
- Fix prerequires of javadoc subpackage
* Sun Sep  5 2004 skh@suse.de
- Initial package created with version 1.1.1 (JPackage 1.5)
